<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Str;

class AddPasswordTokenExpiresAtToUsersTable extends Migration
{
    public function up(): void
    {
        Schema::table('users', static function (Blueprint $table): void {
            if (!Schema::hasColumn('users', 'password_token_expires_at')) {
                $table->dateTime('password_token_expires_at')->nullable();
            }
        });
    }
}
